読者です 読者をやめる 読者になる 読者になる

Windows 64bit版

Windows 64bit版はGanymede Releaseに含まれていないのね・・・
で、64bitのJVMで32bit版のGanymedeを実行しようとしたら、

---------------------------
Eclipse
---------------------------
JVM terminated. Exit code=-1
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx256m
-XX:MaxPermSize=256M
-Djava.class.path=C:\Users\bleis-tift\Desktop\eclipse\plugins\org.eclipse.equinox.launcher_1.0.100.v20080509-1800.jar
-os win32
-ws win32
-arch x86
-showsplash C:\Users\bleis-tift\Desktop\eclipse\\plugins\org.eclipse.platform_3.3.100.v200806172000\splash.bmp
-launcher C:\Users\bleis-tift\Desktop\eclipse\eclipse.exe
-name Eclipse
--launcher.library C:\Users\bleis-tift\Desktop\eclipse\plugins\org.eclipse.equinox.launcher.win32.win32.x86_1.0.100.v20080509-1800\eclipse_1114.dll
-startup C:\Users\bleis-tift\Desktop\eclipse\plugins\org.eclipse.equinox.launcher_1.0.100.v20080509-1800.jar
-vm C:\Program Files\Java\jdk1.6.0_07\bin\..\jre\bin\server\jvm.dll
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx256m
-XX:MaxPermSize=256M
-Djava.class.path=C:\Users\bleis-tift\Desktop\eclipse\plugins\org.eclipse.equinox.launcher_1.0.100.v20080509-1800.jar 
---------------------------
OK   
---------------------------

こんな感じで怒られたから、Eclipse3.4本体*1を別にDLして、32bitのGanymedeにフォルダのみ*2を上書きしたら動いた。
とりあえずはこれで様子を見てみるか。

*1:もちろん64bit版

*2:eclipse.exeやらeclipse.iniやらを除いた、featuresやらpluginsやらのこと